package gnumims.functional.pages

import geb.Page

/**
 * Created by IntelliJ IDEA.
 * User: John
 * Date: 26/04/2011
 * Time: 2:03:04 PM
 * To change this template use File | Settings | File Templates.
 */
class LoginPage extends Page {
    static url = "http://localhost:8080/gnumims/login/auth"

    static at = {$("h1").text() == "Welcome to gnuMims please log in"}

    static content = {
        login { $('#loginForm input[value=Login]') }
        form { $("#loginForm")}
        password { $("input[name=j_password]").value() }
    }
}
